[packages] openswan: update to v2.6.38, fixes compilation against Linux v3.3.x (...
authorJo-Philipp Wich <jow@openwrt.org>
Sat, 21 Apr 2012 02:17:06 +0000 (02:17 +0000)
committerJo-Philipp Wich <jow@openwrt.org>
Sat, 21 Apr 2012 02:17:06 +0000 (02:17 +0000)
SVN-Revision: 31389

net/openswan/Makefile
net/openswan/patches/120-no_manpages.patch
net/openswan/patches/140-generated_autoconf.patch

index 4e3ae04..0b777cf 100644 (file)
@@ -1,5 +1,5 @@
 #
-# Copyright (C) 2006-2011 OpenWrt.org
+# Copyright (C) 2006-2012 OpenWrt.org
 #
 # This is free software, licensed under the GNU General Public License v2.
 # See /LICENSE for more information.
@@ -9,12 +9,12 @@ include $(TOPDIR)/rules.mk
 include $(INCLUDE_DIR)/kernel.mk
 
 PKG_NAME:=openswan
-PKG_VERSION:=2.6.37
-PKG_RELEASE:=2
+PKG_VERSION:=2.6.38
+PKG_RELEASE:=1
 
 PKG_SOURCE:=$(PKG_NAME)-$(PKG_VERSION).tar.gz
 PKG_SOURCE_URL:=http://www.openswan.org/download
-PKG_MD5SUM:=e5c948555088df06cfadcfbe6c13adfe
+PKG_MD5SUM:=13073eb5314b83a31be88e4117e8bbcd
 
 PKG_BUILD_PARALLEL:=1
 PKG_INSTALL:=1
index 4a7c6ec..3cac7ce 100644 (file)
@@ -1,6 +1,6 @@
 --- a/programs/_confread/Makefile
 +++ b/programs/_confread/Makefile
-@@ -16,7 +16,6 @@
+@@ -14,7 +14,6 @@
  OPENSWANSRCDIR?=$(shell cd ../..; pwd)
  include ${OPENSWANSRCDIR}/Makefile.inc
  
@@ -8,7 +8,7 @@
  CONFFILES=ipsec.conf
  EXCONFILES=ipsec.win2k.conf
  SOURCEDIR=_confread
-@@ -26,11 +25,3 @@ CONFDFILES=clear clear-or-private privat
+@@ -24,11 +23,3 @@ CONFDFILES=clear clear-or-private privat
  
  include ${srcdir}../Makefile.program
  
@@ -22,7 +22,7 @@
 -
 --- a/programs/pluto/Makefile
 +++ b/programs/pluto/Makefile
-@@ -195,35 +195,11 @@ doinstall: all
+@@ -196,35 +196,11 @@ doinstall: all
        $(INSTALL) $(INSTBINFLAGS) $(BINNAMEPLUTO) $(BINNAMEWHACK) $(LIBEXECDIR)
        #$(INSTALL) $(INSTSUIDFLAGS) $(BINNAMEWHACKINIT) $(LIBEXECDIR)
        if $(USE_ADNS) ; then $(INSTALL) $(INSTBINFLAGS) $(BINNAMEADNS)  $(LIBEXECDIR) ; fi
index fedb5f1..11ddcc5 100644 (file)
   */
 --- a/linux/include/openswan/ipsec_kversion.h
 +++ b/linux/include/openswan/ipsec_kversion.h
-@@ -43,10 +43,11 @@
+@@ -57,8 +57,10 @@
   * We use a lot of config defines,  on older kernels that means we
   * need to include config.h
   */
 -#if LINUX_VERSION_CODE < KERNEL_VERSION(2,6,38) && !defined(AUTOCONF_INCLUDED)
--#include <linux/config.h>
+-# include <linux/config.h>
 +#if (LINUX_VERSION_CODE >= KERNEL_VERSION(2,6,33))
 +#include <generated/autoconf.h>
 +#else
 +#include <linux/autoconf.h>
  #endif
--
- #if LINUX_VERSION_CODE >= KERNEL_VERSION(2,6,0)
- /* Only enable IPv6 support on newer kernels with IPv6 enabled */
- # if defined(CONFIG_IPV6) || defined(CONFIG_IPV6_MODULE)
+ #if !defined(RHEL_RELEASE_CODE) 
 --- a/linux/net/ipsec/aes/ipsec_alg_aes.c
 +++ b/linux/net/ipsec/aes/ipsec_alg_aes.c
 @@ -22,8 +22,10 @@
  
 --- a/linux/net/ipsec/ipsec_radij.c
 +++ b/linux/net/ipsec/ipsec_radij.c
-@@ -16,8 +16,10 @@
+@@ -21,8 +21,10 @@
   */
  
  #include <linux/version.h>
  
 --- a/linux/net/ipsec/ipsec_xform.c
 +++ b/linux/net/ipsec/ipsec_xform.c
-@@ -17,8 +17,10 @@
+@@ -15,8 +15,10 @@
   */
  
  #include <linux/version.h>